enum PhoneBrand {
  //华为
  huawei,
  //荣耀
  honor,
  //华为nova
  nova,
  //小米
  xiaomi,
  //vivo
  vivo,
  //魅族
  meizu,
  //索尼
  sony,
  //三星
  samsung,
  //oppo
  oppo,
  //乐视
  letv,
  //一加
  oneplus,
  //锤子
  smartisan,
  //联想
  lenovo,
  //LG
  lg,
  //HTC
  htc,
  //未知
  unknown
}

extension StringExt on String {
  PhoneBrand get toPhoneBrand {
    final str = toLowerCase();
    switch (str) {
      case 'honor':
        return PhoneBrand.honor;
      case 'huawei':
        return PhoneBrand.huawei;
      case 'nova':
        return PhoneBrand.nova;
      case 'xiaomi':
        return PhoneBrand.xiaomi;
      case 'vivo':
        return PhoneBrand.vivo;
      case 'meizu':
        return PhoneBrand.meizu;
      case 'sony':
        return PhoneBrand.sony;
      case 'samsung':
        return PhoneBrand.samsung;
      case 'oppo':
        return PhoneBrand.oppo;
      case 'letv':
        return PhoneBrand.letv;
      case 'oneplus':
        return PhoneBrand.oneplus;
      case 'smartisan':
        return PhoneBrand.smartisan;
      case 'lenovo':
        return PhoneBrand.lenovo;
      case 'lg':
        return PhoneBrand.lg;
      case 'htc':
        return PhoneBrand.htc;
      default:
        return PhoneBrand.unknown;
    }
  }
}
