import 'package:xiaomi_badger/model/brand.dart';
import 'package:xiaomi_badger/xiaomi_badger_platform_interface.dart';

class XiaomiBadger {
  ///设置小角标
  static void setBag(int count, {String? title, String? content}) {
    XiaomiBadgerPlatform.instance.setBag(count, title: title, content: content);
  }

  ///移除小角标
  static void remove() {
    XiaomiBadgerPlatform.instance.remove();
  }

  /// 厂商 [vivo]
  ///
  ///设置小角标
  static void setBagWithVivo(int count) {
    XiaomiBadgerPlatform.instance.setBagWithVivo(count);
  }

  ///设置oppo小角标
  static void setBagWithOppo(int count, {String? title, String? content}) {
    XiaomiBadgerPlatform.instance.setBagWithOppo(count, title: title, content: content);
  }

  ///获取厂商品牌名字
  static Future<PhoneBrand> getSystenBrandName() async {
    final v = await XiaomiBadgerPlatform.instance.getSystemBrand();
    return v.toPhoneBrand;
  }
}
