# xiaomi_badger

小米手机设置小角标

## Getting Started

在你的`AndroidManifest`的`application`下添加服务
```xml
 <service
        android:name="shop.itbug.xiaomi_badger.service.NotifService"
        android:exported="false" />
```



# API
**注意APP需要先获得小角标的显示权限才能效果**

设置小角标 (小米)
```dart
XiaomiBadger.setBag(3); // 小角标数
```

设置小角标 (vivo)

添加权限声明
```xml
<uses-permission android:name="com.vivo.notification.permission.BADGE_ICON" />
```

```dart
XiaomiBadger.setBagWithVivo(2);
```


设置小角标 (oppo)
```dart
XiaomiBadger.setBagWithOppo(10, title: "标题", content: "通知内容");
```

移除小角标
```dart
XiaomiBadger.remove(); 
```


获取手机品牌
```dart
XiaomiBadger.getSystenBrandName();
```
